SystemOrganization addCategory: #'Pier-Paypal-Model'!
SystemOrganization addCategory: #'Pier-Paypal-Magritte'!
SystemOrganization addCategory: #'Pier-Paypal-Seaside'!

PRDefaultView subclass: #PRPaypalStoreItemView
	instanceVariableNames: 'item'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-Paypal-Seaside'!

!PRPaypalStoreItemView methodsFor: 'accessing' stamp: 'jmck 3/16/2009 22:33'!
item
	^ item ifNil: [ item := self find: PRPaypalStoreItem ]! !

!PRPaypalStoreItemView methodsFor: 'accessing' stamp: 'jmck 3/19/2009 23:06'!
renderContentOn: html
	super renderContentOn: html.
	html table: [
		self item description do: [ :desc | 
			desc isPaypal ifTrue: [
				html tableRow: [
					html tableHeading: desc label.
					html tableData: (self item readUsing: desc)  ] ] ].
		html tableRow: [
			html tableHeading: 'Image'.
			html tableData: [
				html image
					class: 'item';
					with: item image.
				]
			]
		]! !

PRDefaultView subclass: #PRPaypalStoreView
	instanceVariableNames: 'items report'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-Paypal-Seaside'!

!PRPaypalStoreView methodsFor: 'accessing' stamp: 'jmck 3/19/2009 23:14'!
buildReport
	| rpt |
	rpt := MAReport new rows: self reportItems. 
	rpt addColumn: (PRStructureCommandColumn on: self).
	PRPaypalStoreItem description do: [ :desc |
		desc isPaypal ifTrue: [
			rpt addColumnDescription: desc ] ].
	rpt addColumnSelector: #image.
	( self store addToCart ) 
		ifTrue: [ rpt addColumn: (PRPaypalAddToCartCommandColumn new store: self context structure; yourself) ].
	( self store buyNow ) 
		ifTrue: [ rpt addColumn: (PRPaypalBuyNowCommandColumn new store: self context structure; yourself) ].
	^rpt
! !

!PRPaypalStoreView methodsFor: 'rendering' stamp: 'jmck 3/19/2009 23:12'!
children
	(self store listingStyle = #report) 
		ifTrue: [ ^Array with: self report ]
		ifFalse: [ self store listingStyle = #table ifTrue: [ ^Array with: items ] ]! !

!PRPaypalStoreView methodsFor: 'accessing' stamp: 'jmck 3/16/2009 22:30'!
items
	^ items ifNil: [ items := self reportItems ]! !

!PRPaypalStoreView methodsFor: 'rendering' stamp: 'jmck 3/19/2009 23:11'!
renderContentOn: html
	super renderContentOn: html.
	(self store listingStyle = #report) 
		ifTrue: [ html render: self report ]
		ifFalse: [ self listingStyle = #table ifTrue: [ self renderStoreOn: html ] ]
! !

!PRPaypalStoreView methodsFor: 'rendering' stamp: 'jmck 3/19/2009 22:49'!
renderStoreItem: anItem on: html
	html tableData: [
			html anchor
				goto: (self context structure: anItem);
				with: (self labelFor: anItem)	].
				
	anItem description do: [ :desc |
		desc isPaypal ifTrue: [
			html tableData: [ html text: ((anItem readUsing: desc) asString) ] ] ].

"add PayPal buttons
	self store addToCart
		ifTrue: [ self renderBuyItNowButtonOn: html ]
	self store butNow
		ifTrue: [self renderAddToCartButtonOn: html ]
"! !

!PRPaypalStoreView methodsFor: 'rendering' stamp: 'jmck 3/16/2009 19:50'!
renderStoreItemHeaderOn: html
	html tableColumnGroup: [
	html tableRow: [ 
		PRPaypalStoreItem description do: [ :desc |
			desc isPaypal ifTrue: [
				html tableData: [ desc label ] ] ] ] ].
		
	self renderStoreItemsOn: html.
! !

!PRPaypalStoreView methodsFor: 'rendering' stamp: 'jmck 3/15/2009 16:42'!
renderStoreItemsOn: html
	(self context structure allStoreItemsIn: self context) do: [ :each | 
		html tableRow: [ 
			self renderStoreItem: each on: html ]
	]! !

!PRPaypalStoreView methodsFor: 'rendering' stamp: 'jmck 3/15/2009 15:37'!
renderStoreOn: html
	html table
		class: 'paypal-store';
		with: [
			self renderStoreItemHeaderOn: html.
			self renderStoreItemsOn: html.
			] 
		
	! !

!PRPaypalStoreView methodsFor: 'rendering' stamp: 'jmck 3/19/2009 20:57'!
renderViewerOn: html
	self halt,
	html render: self component

! !

!PRPaypalStoreView methodsFor: 'accessing' stamp: 'jmck 3/14/2009 20:13'!
report
	^ report ifNil: [ report := self buildReport ]! !

!PRPaypalStoreView methodsFor: 'convenience' stamp: 'jmck 3/15/2009 17:31'!
reportItems
	^ self context structure allStoreItemsIn: self context! !

!PRPaypalStoreView methodsFor: 'accessing' stamp: 'jmck 3/14/2009 23:47'!
store
	^store ifNil: [ store := self find: PRPaypalStore ]! !

MACommandColumn subclass: #PRStructureCommandColumn
	instanceVariableNames: 'parent'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-Paypal-Magritte'!

!PRStructureCommandColumn commentStamp: 'jmck 3/17/2009 09:39' prior: 0!
To put a link to the item in the item listing report!

!PRStructureCommandColumn class methodsFor: 'as yet unclassified' stamp: 'jmck 3/16/2009 21:13'!
on: aStructure
	^ self new
		parent: aStructure! !

!PRStructureCommandColumn methodsFor: 'accessing' stamp: 'jmck 3/16/2009 21:14'!
parent
	"Answer the value of parent"

	^ parent! !

!PRStructureCommandColumn methodsFor: 'accessing' stamp: 'jmck 3/16/2009 21:14'!
parent: anObject
	"Set the value of parent"

	parent := anObject! !

!PRStructureCommandColumn methodsFor: 'rendering' stamp: 'jmck 3/16/2009 21:02'!
renderCellFormContent: aStructure on: html
	self renderCellLinkContent: aStructure on: html! !

!PRStructureCommandColumn methodsFor: 'rendering' stamp: 'jmck 3/16/2009 22:25'!
renderCellLinkContent: aStructure on: html
	html anchor
		goto: (parent context structure: aStructure);
		with:  aStructure title! !

!MADescription methodsFor: '*pier-paypal' stamp: 'jmck 3/15/2009 20:42'!
bePaypal
	self propertyAt: #paypal put: true.
	self group: 'Paypal Settings'! !

!MADescription methodsFor: '*pier-paypal' stamp: 'jmck 3/15/2009 20:38'!
isPaypal
	^self propertyAt: #paypal ifAbsent: [ false ]! !

PRCase subclass: #PRPaypalStore
	instanceVariableNames: 'listingStyle buyNow addToCart'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-Paypal-Model'!

!PRPaypalStore class methodsFor: 'visiting' stamp: 'jmck 3/14/2009 21:13'!
accept: aVisitor
	aVisitor visitPaypalStore: self! !

!PRPaypalStore class methodsFor: 'testing' stamp: 'jmck 3/14/2009 23:48'!
canBeParentOf: aClass
	^ aClass includesBehavior: PRPaypalStoreItem! !

!PRPaypalStore class methodsFor: 'defaults' stamp: 'jmck 3/15/2009 00:04'!
defaultBN
	^'pier.seaside.smalltalk'! !

!PRPaypalStore class methodsFor: 'described' stamp: 'jmck 3/19/2009 22:41'!
descriptionAddToCartColumn
	^MABooleanDescription new
		accessor: #addToCart;
		label: 'Use Add to Cart button for items';
		comment: 'Buy Now setting';
		default: false;
		priority: 200;
		beSetting;
		yourself! !

!PRPaypalStore class methodsFor: 'described' stamp: 'jmck 3/15/2009 20:41'!
descriptionBackgroundColor
	^MAColorDescription new
		propertyAccessor: 'cpp_ headerback_ color';
		label: 'Background Color';
		comment: 'Background color for logo that PayPal will display';
		priority: 144;
		bePaypal;
		beSetting;
		yourself! !

!PRPaypalStore class methodsFor: 'described' stamp: 'jmck 3/15/2009 20:28'!
descriptionBn
	^MAStringDescription new
		propertyAccessor: 'bn';
		label: 'Store Builder Name';
		comment: '"Builder Name" for this store';
		default: self defaultBN;
		priority: 111;
		bePaypal;
		beSetting;
		beOptional;
		yourself! !

!PRPaypalStore class methodsFor: 'described' stamp: 'jmck 3/15/2009 20:29'!
descriptionBusiness
	^MAStringDescription new
		propertyAccessor: 'business';
		label: 'Business';
		comment: '"Buisness ID for this store (account email address)';
		priority: 110;
		bePaypal;
		beSetting;
		beRequired;
		yourself! !

!PRPaypalStore class methodsFor: 'described' stamp: 'jmck 3/19/2009 22:41'!
descriptionBuyNowColumn
	^MABooleanDescription new
		accessor: #buyNow;
		label: 'Add Buy Now button to items';
		comment: 'Buy Now setting';
		default: false;
		priority: 210;
		beSetting;
		yourself! !

!PRPaypalStore class methodsFor: 'described' stamp: 'jmck 3/15/2009 20:29'!
descriptionCurrencyCode
	^MASingleOptionDescription new
		options: #('USD' 'EUR' 'YEN' 'LYRA');
		propertyAccessor: 'currency_code';
		label: 'Currency code';
		comment: 'Currency code';
		priority: 112;
		bePaypal;
		beSetting;
		beRequired;
		yourself! !

!PRPaypalStore class methodsFor: 'described' stamp: 'jmck 3/15/2009 20:29'!
descriptionHeaderBorderColor
	^MAColorDescription new
		propertyAccessor: 'cpp_ headerborder_color';
		label: 'Header Border Color';
		comment: 'Header border color for logo that PayPal will display';
		priority: 142;
		bePaypal;
		beSetting;
		yourself! !

!PRPaypalStore class methodsFor: 'described' stamp: 'jmck 3/15/2009 20:29'!
descriptionHeaderImage
	^MAFileDescription new
		propertyAccessor: 'cpp_header_ image';
		label: 'Header Image';
		comment: 'URL for logo image that PayPal will display';
		priority: 141;
		bePaypal;
		beSetting;
		yourself! !

!PRPaypalStore class methodsFor: 'described' stamp: 'jmck 3/19/2009 22:41'!
descriptionListingStyle
	^MASingleOptionDescription new
		options: #(#report #table);
		accessor: #listingStyle;
		label: 'Listing Style';
		comment: 'Report or Table';
		default: #report;
		priority: 220;
		beSetting;
		beRequired;
		yourself! !

!PRPaypalStore class methodsFor: 'described' stamp: 'jmck 3/15/2009 20:30'!
descriptionLogoImage
	^MAFileDescription new
		propertyAccessor: 'image_url';
		label: 'Logo Image';
		comment: 'URL for logo image that PayPal will display';
		priority: 140;
		bePaypal;
		beSetting;
		yourself! !

!PRPaypalStore class methodsFor: 'described' stamp: 'jmck 3/15/2009 20:30'!
descriptionMRB
	^MAStringDescription new
		propertyAccessor: 'mrb';
		label: 'Merchant Referral Bonus ID';
		comment: 'MRB ID issued by PayPal';
		priority: 131;
		bePaypal;
		beSetting;
		yourself! !

!PRPaypalStore class methodsFor: 'described' stamp: 'jmck 3/15/2009 20:30'!
descriptionNote
	^MASingleOptionDescription new
		optionsAndLabels: {'0'->'Show note text box'. '1'->'Hide note textbox'.};
		propertyAccessor: 'no_note';
		label: 'Show/Hide Note textbox';
		comment: 'Whether or not to allow buyer to enter a note';
		priority: 121;
		bePaypal;
		beSetting;
		yourself! !

!PRPaypalStore class methodsFor: 'described' stamp: 'jmck 3/15/2009 20:30'!
descriptionNotifyUrl
	^MAStringDescription new
		propertyAccessor: 'notify_url';
		label: 'Notify URL';
		comment: 'The URL to which PayPal posts information about the transaction';
		priority: 132;
		bePaypal;
		beSetting;
		yourself! !

!PRPaypalStore class methodsFor: 'described' stamp: 'jmck 3/15/2009 20:30'!
descriptionPAL
	^MAStringDescription new
		propertyAccessor: 'pal';
		label: 'Paypal ID';
		comment: 'Pal ID issued by PayPal';
		priority: 130;
		bePaypal;
		beSetting;
		yourself! !

!PRPaypalStore class methodsFor: 'described' stamp: 'jmck 3/15/2009 20:30'!
descriptionPayflowColor
	^MAColorDescription new
		propertyAccessor: 'cpp_payflow_ color';
		label: 'Payflow color';
		comment: 'Payflow color for logo that PayPal will display';
		priority: 143;
		bePaypal;
		beSetting;
		yourself! !

!PRPaypalStore class methodsFor: 'described' stamp: 'jmck 3/15/2009 20:30'!
descriptionShipping
	^MASingleOptionDescription new
		optionsAndLabels: {'0'->'Prompt - Required'. '1'->'Do not prompt'. '2'->'Prompt - Required'};
		propertyAccessor: 'no_shipping';
		label: 'Shipping Address Option';
		comment: 'Whether or not to require shipping address Unmatched string quote ->';
		priority: 120;
		bePaypal;
		beSetting;
		beRequired;
		yourself! !

!PRPaypalStore class methodsFor: 'testing' stamp: 'jmck 3/14/2009 11:13'!
isAbstract
	^false! !

!PRPaypalStore methodsFor: 'accessing' stamp: 'jmck 3/19/2009 22:54'!
addToCart
	"Answer the value of addToCart"

	^ addToCart ifNil: [ addToCart := true ]! !

!PRPaypalStore methodsFor: 'accessing' stamp: 'jmck 3/19/2009 22:42'!
addToCart: anObject
	"Set the value of addToCart"

	addToCart := anObject! !

!PRPaypalStore methodsFor: 'accessing' stamp: 'jmck 3/15/2009 01:50'!
allStoreItemsIn: aContext
	"Answer all the comments in choronological order."

	^ ((aContext enumeratorFor: self) all
		select: [ :each |
			each isStoreItem ])
		sort: [ :a :b | (a propertyAt: 'item_number') < (b propertyAt: 'item_number') ];
		yourself! !

!PRPaypalStore methodsFor: 'accessing' stamp: 'jmck 3/19/2009 22:54'!
buyNow
	"Answer the value of buyNow"

	^ buyNow ifNil: [ buyNow := false ]! !

!PRPaypalStore methodsFor: 'accessing' stamp: 'jmck 3/19/2009 22:42'!
buyNow: anObject
	"Set the value of buyNow"

	buyNow := anObject! !

!PRPaypalStore methodsFor: 'testing' stamp: 'jmck 3/15/2009 01:50'!
isStoreItem
	^false! !

!PRPaypalStore methodsFor: 'testing' stamp: 'jmck 3/15/2009 01:47'!
isValidView: aComponentClass in: aContext
	^ super viewComponentClass ~= aComponentClass! !

!PRPaypalStore methodsFor: 'accessing' stamp: 'jmck 3/19/2009 22:54'!
listingStyle
	"Answer the value of listingStyle"

	^ listingStyle ifNil: [ listingStyle := #report ]! !

!PRPaypalStore methodsFor: 'accessing' stamp: 'jmck 3/19/2009 22:42'!
listingStyle: anObject
	"Set the value of listingStyle"

	listingStyle := anObject! !

!PRPaypalStore methodsFor: 'rendering' stamp: 'jmck 3/15/2009 01:34'!
viewComponentClass
	^ PRPaypalStoreView! !

PRCase subclass: #PRPaypalStoreItem
	instanceVariableNames: 'image'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-Paypal-Model'!

!PRPaypalStoreItem class methodsFor: 'testing' stamp: 'jmck 3/14/2009 23:47'!
canBeChildOf: aClass
	^aClass includesBehavior: PRPaypalStore! !

!PRPaypalStoreItem class methodsFor: 'testing' stamp: 'jmck 3/14/2009 23:46'!
canBeParentOf: aClass
	^false! !

!PRPaypalStoreItem class methodsFor: 'accessing-description' stamp: 'jmck 3/16/2009 21:33'!
descriptionAmount
	^MANumberDescription new
		propertyAccessor: #amount;
		label: 'Price';
		comment: 'Selling price for this item';
		priority: 130;
		bePaypal;
		beSetting;
		yourself! !

!PRPaypalStoreItem class methodsFor: 'accessing-description' stamp: 'jmck 3/16/2009 23:04'!
descriptionImage
	^ MAFileDescription new
		accessor: #image;
		label: 'Image';
		priority: 199;
		beSetting;
		yourself! !

!PRPaypalStoreItem class methodsFor: 'accessing-description' stamp: 'jmck 3/16/2009 21:33'!
descriptionItemName
	^MAStringDescription new
		propertyAccessor: 'item_name';
		label: 'Description';
		comment: 'Description of item';
		priority: 120;
		bePaypal;
		beSetting;
		yourself! !

!PRPaypalStoreItem class methodsFor: 'accessing-description' stamp: 'jmck 3/16/2009 21:33'!
descriptionItemNumber
	^MAStringDescription new
		propertyAccessor: 'item_number';
		label: 'Item';
		comment: 'Pass-through variable for you to track product or service purchased';
		priority: 110;
		bePaypal;
		beSetting;
		yourself! !

!PRPaypalStoreItem class methodsFor: 'accessing-description' stamp: 'jmck 3/16/2009 23:34'!
descriptionQuantity
	"currently not used"
	^MANumberDescription new
		propertyAccessor: 'quantity';
		label: 'Qty';
		priority: 190;
		default: 1;
		bePositive;
		beHidden;
		yourself! !

!PRPaypalStoreItem class methodsFor: 'accessing-description' stamp: 'jmck 3/16/2009 21:33'!
descriptionWeight
	^MANumberDescription new
		propertyAccessor: 'weight';
		label: 'Weight';
		comment: 'Total weight for this line item';
		priority: 150;
		bePaypal;
		beSetting;
		bePositive;
		yourself! !

!PRPaypalStoreItem class methodsFor: 'accessing-description' stamp: 'jmck 3/16/2009 23:00'!
descriptionWeightUnit
	^MASingleOptionDescription new
		options: #( 'lbs' 'kgs');
		propertyAccessor: 'weight_unit';
		label: 'Weight Unit';
		comment: 'Units of measure for the weight for this line item';
		priority: 160;
		default: 'lbs';
		bePaypal;
		beSetting;
		yourself! !

!PRPaypalStoreItem class methodsFor: 'testing' stamp: 'jmck 3/15/2009 02:17'!
isAbstract
	^false! !

!PRPaypalStoreItem methodsFor: 'accessing' stamp: 'jmck 3/16/2009 22:59'!
image
	"Answer the value of image"

	^ image! !

!PRPaypalStoreItem methodsFor: 'accessing' stamp: 'jmck 3/16/2009 22:59'!
image: anObject
	"Set the value of image"

	image := anObject! !

!PRPaypalStoreItem methodsFor: 'testing' stamp: 'jmck 3/15/2009 01:51'!
isStoreItem
	^true! !

!PRPaypalStoreItem methodsFor: 'rendering' stamp: 'jmck 3/15/2009 01:35'!
viewComponentClass
	^ PRPaypalStoreItemView! !

MAActionColumn subclass: #PRPaypalCommandColumn
	instanceVariableNames: 'item store'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-Paypal-Magritte'!

!PRPaypalCommandColumn commentStamp: 'jmck 3/17/2009 09:39' prior: 0!
For the items report, which is an MAReport!

PRPaypalCommandColumn subclass: #PRPaypalAddToCartCommandColumn
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-Paypal-Magritte'!

!PRPaypalAddToCartCommandColumn commentStamp: 'jmck 3/17/2009 09:39' prior: 0!
Puts an Add to Cart button on the item report!

!PRPaypalAddToCartCommandColumn methodsFor: 'accessing' stamp: 'jmck 3/17/2009 11:19'!
altText
	^ 'Add to Cart'! !

!PRPaypalAddToCartCommandColumn methodsFor: 'accessing' stamp: 'jmck 3/17/2009 11:17'!
cmdValue
	^'_cart'! !

!PRPaypalAddToCartCommandColumn methodsFor: 'accessing' stamp: 'jmck 3/15/2009 19:59'!
imageUrl
	^'https://www.paypal.com/en_US/i/btn/btn_cart_SM.gif'! !

PRPaypalCommandColumn subclass: #PRPaypalBuyNowCommandColumn
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-Paypal-Magritte'!

!PRPaypalBuyNowCommandColumn methodsFor: 'accessing' stamp: 'jmck 3/17/2009 11:19'!
altText
	^ 'Buy Now'! !

!PRPaypalBuyNowCommandColumn methodsFor: 'accessing' stamp: 'jmck 3/17/2009 11:18'!
cmdValue
	^'_xclick'! !

!PRPaypalBuyNowCommandColumn methodsFor: 'accessing' stamp: 'jmck 3/19/2009 21:48'!
imageUrl
	^'https://www.paypal.com/en_US/i/btn/btn_buynow_SM.gif'! !

!PRPaypalCommandColumn class methodsFor: 'as yet unclassified' stamp: 'jmck 3/15/2009 22:04'!
inStore: aStore
	^self new 
		store: aStore; 
		yourself! !

!PRPaypalCommandColumn methodsFor: 'accessing' stamp: 'jmck 3/14/2009 18:25'!
altText
	^self subclassResponsibility! !

!PRPaypalCommandColumn methodsFor: 'accessing' stamp: 'jmck 3/15/2009 22:14'!
cmdValue
	self subclassResponsibility! !

!PRPaypalCommandColumn methodsFor: 'accessing' stamp: 'jmck 3/14/2009 09:07'!
defaultUseLinks
	^false! !

!PRPaypalCommandColumn methodsFor: 'accessing' stamp: 'jmck 3/14/2009 18:25'!
imageUrl
	^self subclassResponsibility! !

!PRPaypalCommandColumn methodsFor: 'accessing' stamp: 'jmck 3/14/2009 19:17'!
item
	"Answer the value of item"

	^ item! !

!PRPaypalCommandColumn methodsFor: 'accessing' stamp: 'jmck 3/14/2009 19:34'!
item: anObject
	"Set the value of item"

	item := anObject! !

!PRPaypalCommandColumn methodsFor: 'rendering' stamp: 'jmck 3/15/2009 22:17'!
renderCellFormContent: anItem on: html
	html form
		attributeAt: #target put: 'PayPal';
		action: 'https://www.paypal.com/cgi-bin/webscr';
		post;
		with: [
			self renderCmdInputOn: html.
			self store description do: [ :desc |
				desc isPaypal ifTrue: [ 
					self renderHiddenInputFor: desc of: self store on: html] ].
			anItem description do: [ :desc | 
				desc isPaypal ifTrue: [ 
					self renderHiddenInputFor: desc of: anItem on: html] ].
			self renderPaypalButtonOn: html. ]
		
	! !

!PRPaypalCommandColumn methodsFor: 'rendering' stamp: 'jmck 3/16/2009 18:10'!
renderCmdInputOn: html
	html hiddenInput
		name: 'cmd';
		value: self cmdValue.
	html hiddenInput
		name: 'quantity';
		value: '1'.
	html hiddenInput
		name: 'add';
		value: '1'.
		
! !

!PRPaypalCommandColumn methodsFor: 'rendering' stamp: 'jmck 3/15/2009 22:21'!
renderHiddenInputFor: aDescription of: anObject on: html
	html hiddenInput
		name: aDescription accessor accessor key;
		value: (anObject readUsing: aDescription).
! !

!PRPaypalCommandColumn methodsFor: 'accessing' stamp: 'jmck 3/15/2009 20:16'!
renderPaypalButtonOn: html
	html imageButton 
		name: 'submit';
		url: self imageUrl;
		attributeAt: 'alt' put: self altText! !

!PRPaypalCommandColumn methodsFor: 'accessing' stamp: 'jmck 3/14/2009 19:17'!
store
	"Answer the value of store"

	^ store! !

!PRPaypalCommandColumn methodsFor: 'accessing' stamp: 'jmck 3/14/2009 19:18'!
store: anObject
	"Set the value of store"

	store := anObject! !
